Bug 13199 - smbget fails to copy empty folder recursively
smbget fails to copy empty folder recursively
Status: RESOLVED FIXED
Product: Samba 4.1 and newer
Classification: Unclassified
Component: Tools
unspecified
All Linux
: P5 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2017-12-28 13:02 UTC by Dubravko Papa
Modified: 2019-01-10 12:39 UTC (History)
3 users (show)

See Also:


Attachments
Patch for 4.8.x/4.9.x with cherry-pick information (8.20 KB, patch)
2018-11-16 17:29 UTC, Christian Ambach
asn: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Dubravko Papa 2017-12-28 13:02:55 UTC
smbget from samba package fails to copy empty folder when using command:

smbget -Ru smb://user:pass@10.10.10.10/xyz

it fails with:
Failed to download /FIN/D021/R: File exists
Failed to download /FIN/D021: File exists
Failed to download /FIN: File exists
Comment 1 Christian Ambach 2018-10-22 16:07:12 UTC
Recreated on my machine, fix in the making
Comment 2 Christian Ambach 2018-11-16 17:29:52 UTC
Created attachment 14664 [details]
Patch for 4.8.x/4.9.x with cherry-pick information
Comment 3 Andreas Schneider 2018-12-20 11:08:14 UTC
Comment on attachment 14664 [details]
Patch for 4.8.x/4.9.x with cherry-pick information

LGTM
Comment 4 Andreas Schneider 2018-12-20 11:08:43 UTC
Karolin, please add the patchset to the relevant branches. Thanks!
Comment 5 Karolin Seeger 2019-01-07 09:30:12 UTC
(In reply to Andreas Schneider from comment #4)
Pushed to autobuild-v4-{8,9}-test.
Comment 6 Karolin Seeger 2019-01-10 12:39:53 UTC
(In reply to Karolin Seeger from comment #5)
Pushed to both branches.
Closing out bug report.

Thanks!